Index: LMDZ6/trunk/libf/phylmd/readaerosol_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/readaerosol_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/readaerosol_mod.F90	(revision 4619)
@@ -173,14 +173,11 @@
 
 
-  SUBROUTINE init_aero_fromfile(flag_aerosol)
+SUBROUTINE init_aero_fromfile(flag_aerosol)
   USE netcdf
   USE mod_phys_lmdz_para
   USE mod_grid_phy_lmdz, ONLY: grid_type, unstructured
-#ifdef CPP_XIOS
-  USE xios
-#endif
+  USE lmdz_xios
   IMPLICIT NONE
   INTEGER, INTENT(IN) :: flag_aerosol
-#ifdef CPP_XIOS
   REAL,ALLOCATABLE :: lat_src(:)
   REAL,ALLOCATABLE :: lon_src(:)
@@ -191,55 +188,56 @@
   REAL :: null_array(0)
 
-  IF (flag_aerosol>0 .AND. grid_type==unstructured) THEN
+  IF (using_xios) THEN
+    IF (flag_aerosol>0 .AND. grid_type==unstructured) THEN
   
-    IF (is_omp_root) THEN
+      IF (is_omp_root) THEN
   
-      IF (is_mpi_root) THEN
+        IF (is_mpi_root) THEN
     
-        IF (nf90_open(TRIM(file_aerosol), NF90_NOWRITE, ncid) /= NF90_NOERR) THEN
-          CALL check_err( nf90_open(TRIM(file_so4), NF90_NOWRITE, ncid), "pb open "//trim(file_so4) )
+          IF (nf90_open(TRIM(file_aerosol), NF90_NOWRITE, ncid) /= NF90_NOERR) THEN
+            CALL check_err( nf90_open(TRIM(file_so4), NF90_NOWRITE, ncid), "pb open "//trim(file_so4) )
+          ENDIF
+
+          ! Read and test longitudes
+          CALL check_err( nf90_inq_dimid(ncid, "lon", dimID),"pb inq dim lon") 
+          CALL check_err( nf90_inquire_dimension(ncid, dimID, len = nbp_lon_src),"pb inq dim lon")
+          CALL check_err( nf90_inq_varid(ncid, 'lon', varid),"pb inq lon" )
+          ALLOCATE(lon_src(nbp_lon_src))
+          CALL check_err( nf90_get_var(ncid, varid, lon_src(:)),"pb get lon" )
+
+          ! Read and test latitudes
+          CALL check_err( nf90_inq_dimid(ncid, "lat", dimID),"pb inq dim lat") 
+          CALL check_err( nf90_inquire_dimension(ncid, dimID, len = nbp_lat_src),"pb inq dim lat")
+          CALL check_err( nf90_inq_varid(ncid, 'lat', varid),"pb inq lat" )
+          ALLOCATE(lat_src(nbp_lat_src))
+          CALL check_err( nf90_get_var(ncid, varid, lat_src(:)),"pb get lat" )
+          IF (nf90_inq_dimid(ncid, 'lev', dimid) /= NF90_NOERR) THEN
+            IF (nf90_inq_dimid(ncid, 'presnivs', dimid)/= NF90_NOERR) THEN
+               CALL check_err(nf90_inq_dimid(ncid, 'PRESNIVS', dimid),'dimension lev,PRESNIVS or presnivs not in file')
+            ENDIF
+          ENDIF
+          CALL check_err( nf90_inquire_dimension(ncid, dimid, len = klev_src),"pb inq dim for PRESNIVS or lev" )
+          CALL check_err( nf90_close(ncid),"pb in close" )   
         ENDIF
 
-        ! Read and test longitudes
-        CALL check_err( nf90_inq_dimid(ncid, "lon", dimID),"pb inq dim lon") 
-        CALL check_err( nf90_inquire_dimension(ncid, dimID, len = nbp_lon_src),"pb inq dim lon")
-        CALL check_err( nf90_inq_varid(ncid, 'lon', varid),"pb inq lon" )
-        ALLOCATE(lon_src(nbp_lon_src))
-        CALL check_err( nf90_get_var(ncid, varid, lon_src(:)),"pb get lon" )
-
-        ! Read and test latitudes
-        CALL check_err( nf90_inq_dimid(ncid, "lat", dimID),"pb inq dim lat") 
-        CALL check_err( nf90_inquire_dimension(ncid, dimID, len = nbp_lat_src),"pb inq dim lat")
-        CALL check_err( nf90_inq_varid(ncid, 'lat', varid),"pb inq lat" )
-        ALLOCATE(lat_src(nbp_lat_src))
-        CALL check_err( nf90_get_var(ncid, varid, lat_src(:)),"pb get lat" )
-        IF (nf90_inq_dimid(ncid, 'lev', dimid) /= NF90_NOERR) THEN
-          IF (nf90_inq_dimid(ncid, 'presnivs', dimid)/= NF90_NOERR) THEN
-             CALL check_err(nf90_inq_dimid(ncid, 'PRESNIVS', dimid),'dimension lev,PRESNIVS or presnivs not in file')
-          ENDIF
+        CALL bcast_mpi(nbp_lat_src)
+        CALL bcast_mpi(nbp_lon_src)
+        CALL bcast_mpi(klev_src)
+
+        IF (is_mpi_root ) THEN
+          CALL xios_set_domain_attr("domain_aerosol",nj_glo=nbp_lat_src, nj=nbp_lat_src, jbegin=0, latvalue_1d=lat_src)
+          CALL xios_set_domain_attr("domain_aerosol",ni_glo=nbp_lon_src, ni=nbp_lon_src, ibegin=0, lonvalue_1d=lon_src)
+        ELSE
+          CALL xios_set_domain_attr("domain_aerosol",nj_glo=nbp_lat_src, nj=0, jbegin=0, latvalue_1d=null_array )
+          CALL xios_set_domain_attr("domain_aerosol",ni_glo=nbp_lon_src, ni=0, ibegin=0, lonvalue_1d=null_array)
         ENDIF
-        CALL check_err( nf90_inquire_dimension(ncid, dimid, len = klev_src),"pb inq dim for PRESNIVS or lev" )
-        CALL check_err( nf90_close(ncid),"pb in close" )   
+        CALL xios_set_axis_attr("axis_aerosol",n_glo=klev_src)
+        CALL xios_set_fieldgroup_attr("aerosols", enabled=.TRUE.)
+  
       ENDIF
-
-      CALL bcast_mpi(nbp_lat_src)
-      CALL bcast_mpi(nbp_lon_src)
-      CALL bcast_mpi(klev_src)
-
-      IF (is_mpi_root ) THEN
-        CALL xios_set_domain_attr("domain_aerosol",nj_glo=nbp_lat_src, nj=nbp_lat_src, jbegin=0, latvalue_1d=lat_src)
-        CALL xios_set_domain_attr("domain_aerosol",ni_glo=nbp_lon_src, ni=nbp_lon_src, ibegin=0, lonvalue_1d=lon_src)
-      ELSE
-        CALL xios_set_domain_attr("domain_aerosol",nj_glo=nbp_lat_src, nj=0, jbegin=0, latvalue_1d=null_array )
-        CALL xios_set_domain_attr("domain_aerosol",ni_glo=nbp_lon_src, ni=0, ibegin=0, lonvalue_1d=null_array)
-      ENDIF
-      CALL xios_set_axis_attr("axis_aerosol",n_glo=klev_src)
-      CALL xios_set_fieldgroup_attr("aerosols", enabled=.TRUE.)
-  
-    ENDIF
     
-  ENDIF    
-#endif 
-  END SUBROUTINE init_aero_fromfile
+    ENDIF    
+  ENDIF !using_xios 
+END SUBROUTINE init_aero_fromfile
 
 
@@ -271,7 +269,5 @@
     USE iophy, ONLY : io_lon, io_lat
     USE print_control_mod, ONLY: lunout
-#ifdef CPP_XIOS
-    USE xios
-#endif
+    USE lmdz_xios
     IMPLICIT NONE
       
@@ -685,5 +681,4 @@
 
     IF (grid_type==unstructured) THEN
-#ifdef CPP_XIOS
       IF (is_omp_master) THEN
         CALL xios_send_field(TRIM(varname)//"_in",varyear)
@@ -702,5 +697,4 @@
       CALL scatter_omp(psurf_interp,psurf_out)
       first=.FALSE.
-#endif
     ELSE
       ! Scatter global field to local domain at local process
Index: LMDZ6/trunk/libf/phylmd/readaerosolstrato.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/readaerosolstrato.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/readaerosolstrato.F90	(revision 4619)
@@ -16,7 +16,5 @@
     USE dimphy
     USE print_control_mod, ONLY: prt_level,lunout
-#ifdef CPP_XIOS
-    USE xios
-#endif
+    USE lmdz_xios
     implicit none
 
@@ -148,5 +146,4 @@
 
     IF (grid_type==unstructured) THEN
-#ifdef CPP_XIOS
       IF (is_omp_master) THEN
         CALL xios_send_field("taustrat_in",tauaerstrat_mois)
@@ -157,5 +154,4 @@
       ENDIF
       CALL scatter_omp(tau_aer_strat_mpi,tau_aer_strat)
-#endif
     ELSE  
 !--scatter on all proc
Index: LMDZ6/trunk/libf/phylmd/readaerosolstrato_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/readaerosolstrato_m.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/readaerosolstrato_m.F90	(revision 4619)
@@ -23,11 +23,10 @@
 
 
-  SUBROUTINE init_readaerosolstrato1
-#ifdef CPP_XIOS
+SUBROUTINE init_readaerosolstrato1
   USE netcdf
   USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
                       nf95_inq_varid, nf95_open
   USE mod_phys_lmdz_para
-  USE xios
+  USE lmdz_xios
 !  USE YOERAD, ONLY : NLW
   IMPLICIT NONE
@@ -38,4 +37,5 @@
   INTEGER :: ncid_in, varid
   
+  IF (using_xios) THEN
     IF (is_omp_master) THEN  
       IF (is_mpi_root) THEN
@@ -63,14 +63,13 @@
     ENDIF
     
-#endif
-  END SUBROUTINE init_readaerosolstrato1
+  ENDIF
+END SUBROUTINE init_readaerosolstrato1
   
-  SUBROUTINE init_readaerosolstrato2
-#ifdef CPP_XIOS
+SUBROUTINE init_readaerosolstrato2
   USE netcdf
   USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
                       nf95_inq_varid, nf95_open
   USE mod_phys_lmdz_para
-  USE xios
+  USE lmdz_xios
 !  USE YOERAD, ONLY : NLW
   IMPLICIT NONE
@@ -80,5 +79,6 @@
   REAL    :: null_array(0)
   INTEGER :: ncid_in, varid
-
+  
+  IF (using_xios) THEN
     IF (is_omp_master) THEN    
       IF (is_mpi_root) THEN
@@ -131,6 +131,6 @@
 
     ENDIF
-#endif    
-  END SUBROUTINE init_readaerosolstrato2
+  ENDIF    
+END SUBROUTINE init_readaerosolstrato2
   
 
Index: LMDZ6/trunk/libf/phylmd/regr_horiz_time_climoz_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 4619)
@@ -66,7 +66,5 @@
   USE regular_lonlat_mod, ONLY: boundslon_reg, boundslat_reg, south, west, east
   USE slopes_m,           ONLY: slopes
-#ifdef CPP_XIOS
-  USE xios
-#endif
+  USE lmdz_xios
   USE mod_phys_lmdz_para, ONLY: is_mpi_root, is_master, is_omp_master, gather, gather_mpi, bcast_mpi, klon_mpi
   USE geometry_mod, ONLY : latitude_deg, ind_cell_glo
@@ -240,5 +238,4 @@
       CALL bcast_mpi(ntim_ou)
 
-#ifdef CPP_XIOS    
       IF (is_mpi_root) THEN
         CALL xios_set_domain_attr("domain_climoz",nj_glo=nlat_in, nj=nlat_in, jbegin=0, latvalue_1d=lat_in/deg2rad)
@@ -262,5 +259,4 @@
       CALL  xios_set_field_attr("tro3_out", enabled=.TRUE.)
       CALL  xios_set_field_attr("tro3_out", enabled=.TRUE.)
-#endif
       
       IF (first) THEN
@@ -415,5 +411,4 @@
     !=============================================================================
      IF (grid_type==unstructured) THEN
-#ifdef CPP_XIOS
        nlat_ou=klon_mpi
        
@@ -428,5 +423,4 @@
        CALL xios_send_field("tro3_in",o3_in3bis(:,:,:,:,:))
        CALL xios_recv_field("tro3_out",o3_regr_lonlat(1,:,:,:,:))
-#endif
      ELSE
           
@@ -462,10 +456,8 @@
      nlat_ou=nbp_lat
      IF (grid_type==unstructured) THEN
-#ifdef CPP_XIOS
        CALL xios_send_field('o3_out',o3_out3)
        ndims=3 
        ALLOCATE(o3_out3_glo(nlat_ou, nlev_in, ntim_ou, read_climoz))
        CALL gather_mpi(o3_out3(1,:,:,:,:), o3_out3_glo)
-#endif
      ENDIF
 
@@ -508,5 +500,4 @@
    
      IF (grid_type==unstructured) THEN
-#ifdef CPP_XIOS
        nlat_ou=klon_mpi
 
@@ -522,5 +513,4 @@
        IF(.NOT.lprev) o3_regr_lat(:,:, 0, :) = o3_regr_lat(:,:,12,:)
        IF(.NOT.lnext) o3_regr_lat(:,:,13, :) = o3_regr_lat(:,:, 1,:)
-#endif       
      
      ELSE 
Index: LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90	(revision 4619)
@@ -18,7 +18,5 @@
     USE YOERAD, ONLY : NLW
     USE YOMCST
-#ifdef CPP_XIOS
-    USE xios
-#endif
+    USE lmdz_xios
 
     IMPLICIT NONE
@@ -167,5 +165,4 @@
     
     IF (grid_type==unstructured) THEN
-#ifdef CPP_XIOS
       IF (is_omp_master) THEN
         ALLOCATE(tauaerstrat_mpi(klon_mpi,klev))
@@ -176,5 +173,4 @@
       ENDIF
       CALL scatter_omp(tauaerstrat_mpi,tau_aer_strat)
-#endif
     ELSE  
       CALL scatter(tauaerstrat_mois_glo,tau_aer_strat)
Index: LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 4619)
@@ -19,7 +19,5 @@
     USE YOERAD, ONLY : NLW
     USE YOMCST
-#ifdef CPP_XIOS
-    USE xios
-#endif
+    USE lmdz_xios
 
     IMPLICIT NONE
@@ -282,6 +280,4 @@
 
       IF (grid_type==unstructured) THEN
-
-#ifdef CPP_XIOS
 
         IF (is_omp_master) THEN
@@ -310,5 +306,4 @@
         CALL scatter_omp(cgaerstrat_mpi,cg_aer_strat)
         CALL scatter_omp(taulwaerstrat_mpi,taulw_aer_strat)
-#endif
       ELSE  
         
Index: LMDZ6/trunk/libf/phylmd/undefSTD.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/undefSTD.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/undefSTD.F90	(revision 4619)
@@ -8,13 +8,9 @@
   USE phys_state_var_mod
 #endif
-#ifdef CPP_XIOS
-  USE wxios, ONLY: missing_val
-#endif
+  USE wxios, ONLY: missing_val_xios => missing_val, using_xios
 
   IMPLICIT NONE
   include "clesphys.h"
-#ifndef CPP_XIOS 
   REAL :: missing_val
-#endif
 
   ! ====================================================================
@@ -59,7 +55,9 @@
 
 ! missing_val = nf90_fill_real
-#ifndef CPP_XIOS
+  IF (using_xios) THEN
+    missing_val=missing_val_xios
+  ELSE
       missing_val=missing_val_nf90
-#endif
+  ENDIF
 
   DO n = 1, nout
Index: LMDZ6/trunk/libf/phylmdiso/limit_read_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/limit_read_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmdiso/limit_read_mod.F90	(revision 4619)
@@ -40,7 +40,5 @@
   USE surface_data
   USE mod_phys_lmdz_para
-#ifdef CPP_XIOS
-  USE XIOS
-#endif
+  USE lmdz_xios
   IMPLICIT NONE
     INTEGER, INTENT(IN) :: first_day
@@ -49,7 +47,5 @@
     IF ( type_ocean /= 'couple') THEN
       IF (grid_type==unstructured) THEN
-#ifdef CPP_XIOS
-        IF (is_omp_master) CALL xios_set_file_attr("limit_read",enabled=.TRUE.,record_offset=first_day)
-#endif
+          IF (is_omp_master) CALL xios_set_file_attr("limit_read",enabled=.TRUE.,record_offset=first_day)
       ENDIF  
     ENDIF
@@ -288,7 +284,5 @@
     USE phys_cal_mod, ONLY : calend, year_len
     USE print_control_mod, ONLY: lunout, prt_level
-#ifdef CPP_XIOS
-    USE XIOS, ONLY: xios_recv_field
-#endif
+    USE lmdz_XIOS, ONLY: xios_recv_field
     
     IMPLICIT NONE
@@ -416,5 +410,4 @@
       IF (grid_type==unstructured) THEN
 
-#ifdef CPP_XIOS
         IF ( type_ocean /= 'couple') THEN
 
@@ -450,7 +443,5 @@
           CALL Scatter_omp(rug_mpi, rugos)
        END IF
-#endif
-
- 
+
      ELSE      ! grid_type==regular
 
Index: LMDZ6/trunk/libf/phylmdiso/pbl_surface_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/pbl_surface_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmdiso/pbl_surface_mod.F90	(revision 4619)
@@ -412,12 +412,6 @@
     use phys_output_var_mod, only: tkt, tks, taur, sss
     use blowing_snow_ini_mod, only : zeta_bs
-#ifdef CPP_XIOS
-    USE wxios, ONLY: missing_val
-#else
-    use netcdf, only: missing_val => nf90_fill_real
-#endif
-
-     
-
+    USE wxios, ONLY: missing_val_xios => missing_val, using_xios
+    use netcdf, only: nf90_fill_real
 
     IMPLICIT NONE
@@ -944,5 +938,5 @@
     REAL, DIMENSION(klon)       :: uzon_w, vmer_w, speed_w, zri1_w, pref_w !speed_w, zri1_w, pref_w, added by Fuxing WANG, 04/03/2015
     REAL, DIMENSION(klon)       :: zgeo1_w, tair1_w, qair1_w, tairsol_w
-
+    
 !!! jyg le 25/03/2013
 !!    Variables intermediaires pour le raccord des deux colonnes \`a la surface
@@ -1051,5 +1045,5 @@
     ! compression of delta_sst, delta_sal, ds_ns, dt_ns, dter, dser,
     ! dt_ds, tkt, tks, taur, sss on ocean points
-
+    REAL :: missing_val
 #ifdef ISO
     REAL, DIMENSION(klon)       :: h1
@@ -1063,6 +1057,12 @@
 ! End of declarations
 !****************************************************************************************
-
+    
       IF (prt_level >=10) print *,' -> pbl_surface, itap ',itap
+      
+      IF (using_xios) THEN
+        missing_val = missing_val_xios
+      ELSE
+        missing_val = nf90_fill_real
+      ENDIF
 !
 !!jyg      iflag_split = mod(iflag_pbl_split,2)
Index: LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90	(revision 4619)
@@ -536,7 +536,5 @@
     USE mod_phys_lmdz_para, ONLY: is_omp_master, klon_mpi
     USE mod_phys_lmdz_transfert_para, ONLY: gather_omp
-#ifdef CPP_XIOS
-    USE xios
-#endif
+    USE lmdz_xios
     IMPLICIT NONE
 
@@ -558,5 +556,4 @@
       ! on the whole physics grid
  
-#ifdef CPP_XIOS
     PRINT *, 'writelim: Ecriture du fichier limit'
 
@@ -584,5 +581,5 @@
     CALL gather_omp(phy_rug, phy_mpi)
     IF (is_omp_master) CALL xios_send_field('rug_limout',phy_mpi)
-#endif
+
   END SUBROUTINE writelim_unstruct
 
Index: LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 4619)
@@ -47,9 +47,6 @@
   USE ocean_slab_mod,   ONLY: nslay, tslab, seaice, tice, ocean_slab_init
   USE time_phylmdz_mod, ONLY: init_iteration, pdtphys, itau_phy
-#ifdef CPP_XIOS
-  USE wxios, ONLY: missing_val
-#else
-  use netcdf, only: missing_val => nf90_fill_real
-#endif
+  USE wxios, ONLY: missing_val_xios => missing_val, using_xios
+  use netcdf, only:  nf90_fill_real
   use config_ocean_skin_m, only: activate_ocean_skin
 #ifdef ISO
@@ -108,5 +105,5 @@
   REAL :: lon_startphy(klon), lat_startphy(klon)
   CHARACTER(LEN=maxlen) :: tname, t(2)
-
+  REAL :: missing_val
 #ifdef ISO
   REAL xtsnow(niso,klon, nbsrf)
@@ -119,4 +116,9 @@
 
   ! Ouvrir le fichier contenant l'etat initial:
+  IF (using_xios) THEN
+    missing_val = missing_val_xios
+  ELSE
+    missing_val =  nf90_fill_real
+  ENDIF
 
   CALL open_startphy(fichnom)
Index: LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90	(revision 4619)
@@ -47,8 +47,6 @@
     USE vertical_layers_mod, ONLY: ap,bp,preff,presnivs, aps, bps, pseudoalt
     USE time_phylmdz_mod, ONLY: day_ini, itau_phy, start_time, annee_ref, day_ref
-#ifdef CPP_XIOS
     ! ug Pour les sorties XIOS
     USE wxios
-#endif
 #ifdef ISO
     USE isotopes_mod, ONLY: isoName,iso_HTO
@@ -140,5 +138,4 @@
     REAL, DIMENSION(klev+1)   :: lev_index
                 
-#ifdef CPP_XIOS
     ! ug Variables utilis\'ees pour r\'ecup\'erer le calendrier pour xios
     INTEGER :: x_an, x_mois, x_jour
@@ -146,5 +143,4 @@
     INTEGER :: ini_an, ini_mois, ini_jour
     REAL :: ini_heure
-#endif
     INTEGER                         :: ISW
     REAL, DIMENSION(NSW)            :: wl1_sun, wl2_sun !wavelength bounds (in um) for SW
@@ -326,12 +322,12 @@
      ENDIF
 
-#ifdef CPP_XIOS
-    ! ug R\'eglage du calendrier xios
-    !Temps julian => an, mois, jour, heure
-    CALL ju2ymds(zjulian, x_an, x_mois, x_jour, x_heure)
-    CALL ju2ymds(zjulian_start, ini_an, ini_mois, ini_jour, ini_heure)
-    CALL wxios_set_cal(dtime, calend, x_an, x_mois, x_jour, x_heure, ini_an, &
-                       ini_mois, ini_jour, ini_heure )
-#endif
+    IF (using_xios) THEN
+      ! ug R\'eglage du calendrier xios
+      !Temps julian => an, mois, jour, heure
+      CALL ju2ymds(zjulian, x_an, x_mois, x_jour, x_heure)
+      CALL ju2ymds(zjulian_start, ini_an, ini_mois, ini_jour, ini_heure)
+      CALL wxios_set_cal(dtime, calend, x_an, x_mois, x_jour, x_heure, ini_an, &
+                         ini_mois, ini_jour, ini_heure )
+    ENDIF
 
 !!!!!!!!!!!!!!!!!!!!!!! Boucle sur les fichiers !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -366,62 +362,62 @@
 
 
-#ifdef CPP_XIOS
+    IF (using_xios) THEN
 !!! Ouverture de chaque fichier XIOS !!!!!!!!!!!
-    IF (.not. ok_all_xml) THEN
+      IF (.not. ok_all_xml) THEN
+        IF (prt_level >= 10) THEN
+         print*,'phys_output_open: call wxios_add_file with phys_out_filenames(iff)=',trim(phys_out_filenames(iff))    
+        ENDIF
+        CALL wxios_add_file(phys_out_filenames(iff),chtimestep(iff),lev_files(iff))  
+      ENDIF
+
+!!! Declaration des axes verticaux de chaque fichier:
       IF (prt_level >= 10) THEN
-        print*,'phys_output_open: call wxios_add_file with phys_out_filenames(iff)=',trim(phys_out_filenames(iff))    
+        print*,'phys_output_open: Declare vertical axes for each file'
       ENDIF
-      CALL wxios_add_file(phys_out_filenames(iff),chtimestep(iff),lev_files(iff))  
-    ENDIF
-
-!!! Declaration des axes verticaux de chaque fichier:
-    IF (prt_level >= 10) THEN
-      print*,'phys_output_open: Declare vertical axes for each file'
-    ENDIF
-
-   IF (iff.LE.6.OR.iff.EQ.10) THEN
-    CALL wxios_add_vaxis("presnivs", &
-            levmax(iff) - levmin(iff) + 1, presnivs(levmin(iff):levmax(iff)))
-    CALL wxios_add_vaxis("Ahyb", &
+
+      IF (iff.LE.6.OR.iff.EQ.10) THEN
+        CALL wxios_add_vaxis("presnivs", &
+             levmax(iff) - levmin(iff) + 1, presnivs(levmin(iff):levmax(iff)))
+        CALL wxios_add_vaxis("Ahyb", &
             levmax(iff) - levmin(iff) + 1, aps(levmin(iff):levmax(iff)), positif='down', &
             bnds=Ahyb_bounds(levmin(iff):levmax(iff),:))
-    CALL wxios_add_vaxis("Bhyb", &
+        CALL wxios_add_vaxis("Bhyb", &
             levmax(iff) - levmin(iff) + 1, bps(levmin(iff):levmax(iff)), positif='down', &
             bnds=Bhyb_bounds(levmin(iff):levmax(iff),:))
-    CALL wxios_add_vaxis("klev", levmax(iff) - levmin(iff) + 1, &
+        CALL wxios_add_vaxis("klev", levmax(iff) - levmin(iff) + 1, &
                           lev_index(levmin(iff):levmax(iff)))
-    CALL wxios_add_vaxis("klevp1", klev+1, &
+        CALL wxios_add_vaxis("klevp1", klev+1, &
                           lev_index(1:klev+1))
-    CALL wxios_add_vaxis("bnds", 2, (/1.,2./))
-
-    CALL wxios_add_vaxis("Alt", &
+        CALL wxios_add_vaxis("bnds", 2, (/1.,2./))
+
+        CALL wxios_add_vaxis("Alt", &
             levmax(iff) - levmin(iff) + 1, pseudoalt)
-
-    ! wl1_sun/wl2_sun: minimum/maximum bound of wavelength (in um)
-    SELECT CASE(NSW)
-      CASE(6)
-        wl1_sun(1:6) = [0.180, 0.250, 0.440, 0.690, 1.190, 2.380]
-        wl2_sun(1:6) = [0.250, 0.440, 0.690, 1.190, 2.380, 4.000]
-      CASE(2)
-        wl1_sun(1:2) = [0.250, 0.690]
-        wl2_sun(1:2) = [0.690, 4.000]
-    END SELECT
-
-    DO ISW=1, NSW
-     wn1_sun(ISW)=1.e+6/wl1_sun(ISW) 
-     wn2_sun(ISW)=1.e+6/wl2_sun(ISW) 
-     spbnds_sun(ISW,1)=wn2_sun(ISW)
-     spbnds_sun(ISW,2)=wn1_sun(ISW)
-     spectband(ISW)=(wn1_sun(ISW)+wn2_sun(ISW))/2
-    ENDDO
+  
+        ! wl1_sun/wl2_sun: minimum/maximum bound of wavelength (in um)
+        SELECT CASE(NSW)
+          CASE(6)
+          wl1_sun(1:6) = [0.180, 0.250, 0.440, 0.690, 1.190, 2.380]
+          wl2_sun(1:6) = [0.250, 0.440, 0.690, 1.190, 2.380, 4.000]
+        CASE(2)
+          wl1_sun(1:2) = [0.250, 0.690]
+          wl2_sun(1:2) = [0.690, 4.000]
+        END SELECT
+
+        DO ISW=1, NSW
+          wn1_sun(ISW)=1.e+6/wl1_sun(ISW) 
+          wn2_sun(ISW)=1.e+6/wl2_sun(ISW) 
+          spbnds_sun(ISW,1)=wn2_sun(ISW)
+          spbnds_sun(ISW,2)=wn1_sun(ISW)
+          spectband(ISW)=(wn1_sun(ISW)+wn2_sun(ISW))/2
+        ENDDO
 !
 !!! ajout axe vertical spectband : solar band number
-    CALL wxios_add_vaxis("spectband", NSW, spectband, positif='down')
-   ELSE
+        CALL wxios_add_vaxis("spectband", NSW, spectband, positif='down')
+      ELSE
     ! NMC files
-    CALL wxios_add_vaxis("plev", &
+        CALL wxios_add_vaxis("plev", &
             levmax(iff) - levmin(iff) + 1, rlevSTD(levmin(iff):levmax(iff)))
-   ENDIF
-#endif 
+      ENDIF
+    ENDIF 
 
         IF (clef_files(iff)) THEN
